com.jscape.inet.vfs

## Class Group

- java.lang.Object
- - com.jscape.inet.vfs.Group

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public final class Group
      extends java.lang.Object
      implements java.io.Serializable, com.jscape.util.db.IntVersioned

  Users group abstraction. Represents named resources set available for all users in group.
  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Group.Delegate` A group persisntence delegate.
    `static class` | `Group.GroupName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Group()` Used in serialization sub-system.
    `Group(Group that)` Copy constructor.
    `Group(java.lang.String name, VirtualFileDescriptor[] resources)`
    `Group(java.lang.String name, VirtualFileDescriptor[] resources, java.lang.String[] tags, long creationDate, int version)` Creates a new user instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `long` | `getCreationDate()`
    `java.lang.String` | `getName()` Returns the group name.
    `VirtualFileDescriptor[]` | `getResources()` Returns the group virtual paths.
    `java.lang.String[]` | `getTags()`
    `int` | `getVersion()`
    `int` | `hashCode()`
    `void` | `setCreationDate(long value)`
    `void` | `setName(java.lang.String value)` Sets group name.
    `void` | `setResources(VirtualFileDescriptor[] resources)` Sets the group virtual path array.
    `void` | `setTags(java.lang.String[] value)`
    `void` | `setVersion(int value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Group

          public Group(java.lang.String name,
                       VirtualFileDescriptor[] resources,
                       java.lang.String[] tags,
                       long creationDate,
                       int version)

      Creates a new user instance.
      Parameters:
        `name` - the group name
        `resources` - the virtual paths associated with this new group

    - #### Group

          public Group(java.lang.String name,
                       VirtualFileDescriptor[] resources)

    - #### Group

          public Group(Group that)

      Copy constructor.
      Parameters:
        `that` - Group instance will be copied

    - #### Group

          public Group()

      Used in serialization sub-system.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns the group name.
      Returns:
        Return the group name

    - #### setName

          public void setName(java.lang.String value)

      Sets group name.
      Parameters:
        `value` - the group name

    - #### getResources

          public VirtualFileDescriptor[] getResources()

      Returns the group virtual paths.
      Returns:
        the group virtual paths

    - #### setResources

          public void setResources(VirtualFileDescriptor[] resources)

      Sets the group virtual path array.
      Parameters:
        `resources` - The new group virtual paths array

    - #### getTags

          public java.lang.String[] getTags()

    - #### setTags

          public void setTags(java.lang.String[] value)

    - #### getCreationDate

          public long getCreationDate()

    - #### setCreationDate

          public void setCreationDate(long value)

    - #### getVersion

          public int getVersion()

      Specified by:
        `getVersion` in interface `com.jscape.util.db.IntVersioned`

    - #### setVersion

          public void setVersion(int value)

      Specified by:
        `setVersion` in interface `com.jscape.util.db.IntVersioned`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.